PKG-INFO(8)

NAME
pkg info - display information for packages

SYNOPSIS
pkg info pkg-name
pkg info -a
pkg info [-AbBDdefIklOpqRrs] [-Cgix] pkg-name
pkg info [-AbBDdfIlpqRrs] -F pkg-file

pkg info pkg-name
pkg info --all
pkg info [--{annotations,provided-shlibs,required-shlibs}] [--{pkg-message,dependencies,exists,full,comment,locked}] [--{list-files,by-origin,quiet,prefix,raw,required-by,size}] [--{case-sensitive,glob,case-insensitive,regex}] pkg-name
pkg info [--{annotations,provided-shlibs,required-shlibs}] [--{pkg-message,dependencies,full,comment,list-files}] [--{quiet,prefix,raw,required-by,size}] --file pkg-file [--raw-format format]

DESCRIPTION
pkg info is used for displaying information for packages.

OPTIONS
The following options are supported by pkg info:

-a, --all
    Display all installed packages.

-A, --annotations
    Display any annotations added to the package.

-C, --case-sensitive
    Make the standard or the regular expression (-x) matching against pkg-name case sensitive.

-f, --full
    Display full information about the packages matching pkg-name. This is the default.

-R, --raw
    Display the full manifest (raw) for the packages matching pkg-name.

--raw-format format
    Choose the format of the raw output. The format can be: json, json-compact, yaml (default).

-e, --exists
    If pkg-name is installed and registered in the database, return 0, otherwise return 1. Useful for checking whether the package is installed.

-D, --pkg-message
    Show the pkg-message for matching packages.

-g, --glob
    Treat pkg-name as a shell glob pattern.

-i, --case-insensitive
    Make the standard or the regular expression (-x) matching against pkg-name case insensitive. This is the default, unless modified by setting CASE_SENSITIVE_MATCH to true in pkg.conf.

-I, --comment
    Display the specified packages and their comments.

-x, --regex
    Treat pkg-name as a regular expression according to the "modern" or "extended" syntax of re_format(7).

-d, --dependencies
    Display the list of packages on which pkg-name depends.

-r, --required-by
    Display the list of packages which require pkg-name.

-k, --locked
    Show the locking status for pkg-name. When used in combination with -d or -r, indicate which packages, dependencies or requirements are locked by '(*)'. Locking status is only meaningful for installed packages; all locking statuses will show as unlocked when information about a pkg-file is queried.

-l, --list-files
    Display all files installed by pkg-name.

-b, --provided-shlibs
    Display all shared libraries provided by pkg-name.

-B, --required-shlibs
    Display all shared libraries used by pkg-name.

-s, --size
    Display the total size of files installed by pkg-name.

-q, --quiet
    Be “quiet”. Prints only the requested information without displaying many hints.

-O, --by-origin
    Search is done by the pkg-name origin. Added only for Ports compatibility.

-E, --show-name-only
    Hides the full package output and only shows the package name. This option is deprecated and exists only for Ports compatibility.

-o, --origin
    Display pkg-name origin.

-p, --prefix
    Display the installation prefix for each package matching pkg-name.

-F pkg-file, --file pkg-file
    Displays information from the package archive pkg-file.

ENVIRONMENT
The following environment variables affect the execution of pkg info. See pkg.conf(5) for further description.

PKG_DBDIR

CASE_SENSITIVE_MATCH

FILES
See pkg.conf(5).

SEE ALSO
pkg_printf(3), pkg_repos(3), pkg-repository(5), pkg.conf(5), pkg(8), pkg-add(8), pkg-annotate(8), pkg-audit(8), pkg-autoremove(8), pkg-backup(8), pkg-check(8), pkg-clean(8), pkg-config(8), pkg-convert(8), pkg-create(8), pkg-delete(8), pkg-fetch(8), pkg-install(8), pkg-lock(8), pkg-query(8), pkg-register(8), pkg-repo(8), pkg-rquery(8), pkg-search(8), pkg-set(8), pkg-shell(8), pkg-shlib(8), pkg-ssh(8), pkg-stats(8), pkg-update(8), pkg-updating(8), pkg-upgrade(8), pkg-version(8), pkg-which(8)